CVE-2018-6767

MEDIUM

Description

A stack-based buffer over-read in the ParseRiffHeaderConfig function of cli/riff.c file of WavPack 5.1.0 allows a remote attacker to cause a denial-of-service attack or possibly have unspecified other impact via a maliciously crafted RF64 file.

References

http://packetstormsecurity.com/files/155743/Slackware-Security-Advisory-wavpack-Updates.html

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=889276

https://github.com/dbry/WavPack/commit/d5bf76b5a88d044a1be1d5656698e3ba737167e5

https://github.com/dbry/WavPack/issues/27

https://seclists.org/bugtraq/2019/Dec/37

https://usn.ubuntu.com/3568-1/

https://www.debian.org/security/2018/dsa-4125

Details

Source: MITRE

Published: 2018-02-06

Updated: 2019-12-20

Type: CWE-125

Risk Information

CVSS v2.0

Base Score: 6.8

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3.0

Base Score: 7.8

Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 1.8

Severity: HIGH

Tenable Plugins

View all (11 total)

IDNameProductFamilySeverity
145376openSUSE Security Update : wavpack (openSUSE-2021-154)NessusSuSE Local Security Checks
medium
145305openSUSE Security Update : wavpack (openSUSE-2021-153)NessusSuSE Local Security Checks
medium
145253SUSE SLED15 / SLES15 Security Update : wavpack (SUSE-SU-2021:0186-1)NessusSuSE Local Security Checks
medium
132333Slackware 14.0 / 14.1 / 14.2 / current : wavpack (SSA:2019-353-01)NessusSlackware Local Security Checks
medium
109749FreeBSD : wavpack -- multiple vulnerabilities (50210bc1-54ef-11e8-95d9-9c5c8e75236a)NessusFreeBSD Local Security Checks
medium
108313Fedora 26 : wavpack (2018-d94e205df8)NessusFedora Local Security Checks
medium
107166Fedora 26 : mingw-wavpack (2018-5950093e69)NessusFedora Local Security Checks
medium
107153Fedora 27 : mingw-wavpack (2018-023baab00f)NessusFedora Local Security Checks
medium
107028Fedora 27 : wavpack (2018-3ba1be2e79)NessusFedora Local Security Checks
medium
107025Debian DSA-4125-1 : wavpack - security updateNessusDebian Local Security Checks
medium
106794Ubuntu 14.04 LTS / 16.04 LTS / 17.10 : wavpack vulnerabilities (USN-3568-1)NessusUbuntu Local Security Checks
medium